stupid_chris

[1.1.2+] Kerbal NRAP - MOVED

Recommended Posts

System.TypeLoadException: Could not load type 'IPartCostModifier' from assembly 'Assembly-CSharp, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null'.

You're using an outdated version of KSP... Switch to 0.24.1 or higher.

Also, will say here once:

Delete any previous NRAP installation before installing this one. That means delete any Kotysoft folder in the GameData, there should only be one named NRAP.

Share this post


Link to post
Share on other sites

Hey SC,

That .zip file has a defunct and empty "kotysoft" dir structure in it...

Share this post


Link to post
Share on other sites

Alright, very small update, no big bugfixes here, just some small tweaks for a better general experience, and also an upload to KerbalStuff :)

Changelog:

August 3rd 2014
v1.5.0.1
-Very slight optimizatrion of ressizing code
-CompatibilityChecker now checks for KSP 0.24.1 or later
-Removed empty Kotysoft folder

KerbalStuff upload is pending, hold on a little :)

EDIT: it's there!

Cheers!

Edited by stupid_chris
KerbalStuff link up

Share this post


Link to post
Share on other sites

Is there any way to adjust an NRAP to make it radially attachable? Or to lower the minimum length/diameter still further? They're absolutely perfect for use as gravity assisted seismic probes...

screenshot7_zpsd854b3bb.jpg

Edited by Wanderfound

Share this post


Link to post
Share on other sites

I need to report that 0.25.0 is saying that NRAP is incompatible.

Share this post


Link to post
Share on other sites
I need to report that 0.25.0 is saying that NRAP is incompatible.

You don't need to report, I programmed that warning in. It's not KSP reporting that, it's NRAP itself.

Share this post


Link to post
Share on other sites
You don't need to report, I programmed that warning in. It's not KSP reporting that, it's NRAP itself.

As I take it, you won'be able to update it for a while. Is something can be done to kill that nagging message at the startup? It works without any problems.

Share this post


Link to post
Share on other sites

I love this useful mod so I'm hoping it gets updated for 0.25 to lose the message on startup.

Share this post


Link to post
Share on other sites

I'll add to the hope for a clean start up with no "OMG It's SOOO OOOOOLD" KSP on start up!

Share this post


Link to post
Share on other sites
I love this useful mod so I'm hoping it gets updated for 0.25 to lose the message on startup.

With 0.90 at the door, no.

This said, I remember someone had sent me an inline model to use with NRAP, unfortunately, my inbox was wiped and I can't find my copy on my disk, so whoever that was, if you see this and still have it, I do still want it :P

Share this post


Link to post
Share on other sites
With 0.90 at the door, no.

This said, I remember someone had sent me an inline model to use with NRAP, unfortunately, my inbox was wiped and I can't find my copy on my disk, so whoever that was, if you see this and still have it, I do still want it :P

Glad to hear I'm not the only one looking for an inline version as well. I hope you can incorporate it soon. Many thanks for this mod as it should streamline my design of standard lifting vehicles.

Share this post


Link to post
Share on other sites

Does not work at 0.90 at all - there is no menu option in the VAB\SPH.

Interesting enough, it does not complain about incompatible version on 0.90.

Share this post


Link to post
Share on other sites
Because if you looked at your logs you'd notice it doesn't load.

No need to be so hostile, alright? I've just reported that NRAP isn't working on 0.90! It worked on 0.25 without any updates, so anyone can assume that it would work on 0.90. No need to go "you're idiot" on me, even if it's an intended behavior of NRAP with your little tinkering like version checkers and such (which I despise, BTW).

Share this post


Link to post
Share on other sites
No need to be so hostile, alright? I've just reported that NRAP isn't working on 0.90! It worked on 0.25 without any updates, so anyone can assume that it would work on 0.90. No need to go "you're idiot" on me, even if it's an intended behavior of NRAP with your little tinkering like version checkers and such (which I despise, BTW).

Funny thing is, that wasn't even hostile. But thank you for telling me how much you despise my work. I was just pointing out that I literally can't help you without a log. Which I've been repeating since forever. This isn't even the version checker, NRAP is not ever locked down by it.

But yeah, update's out.

Changelog:

December 19th 2014
v1.5.0.2
-Recompiled for KSP 0.90
-Filter by Module tab Test Weight icon modified

No changes, really except for a recompiling and an update to CompatibilityChecker v4.

  • Like 1

Share this post


Link to post
Share on other sites

But yeah, update's out.

Changelog:

December 19th 2014
v1.5.0.2
-Recompiled for KSP 0.90
-Filter by Module tab Test Weight icon modified

No changes, really except for a recompiling and an update to CompatibilityChecker v4.

Thanks for keeping up this mod Chris Its a must have for me. You rock. :)

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now